### Method

# Gck Session enumerate_objects

#### Declaration [src]

    GckEnumerator*
    gck_session_enumerate_objects (
      GckSession* self,
      GckAttributes* match
    )

#### Description [src]

Setup an enumerator for listing matching objects available via this session.

This call will not block but will return an enumerator immediately.

#### Parameters

`match` | `GckAttributes`
| Attributes that the objects must match, or empty for all objects.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GckEnumerator`
| A new enumerator.
| The caller of the method takes ownership of the data, and is responsible for freeing it.